curl --request POST \
--url https://sandbox.tight.com/v6/customers/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"orderBy": "NAME",
"direction": "ASC"
},
"filter": {
"name": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [
"ACTIVE"
],
"notIn": [
"ACTIVE"
],
"equal": "ACTIVE",
"notEqual": "ACTIVE",
"greaterThan": "ACTIVE",
"greaterThanEqual": "ACTIVE",
"lessThan": "ACTIVE",
"lessThanEqual": "ACTIVE"
},
"email": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"classSegments": {
"expand": true,
"id": {
"in": [
"<string>"
]
}
}
}
}
'{
"result": "SUCCESS",
"data": [
{
"id": "cus_28868401",
"name": "Acme Corp",
"status": "ACTIVE",
"additionalContactName": "Jane Smith",
"businessName": "Acme Corporation LLC",
"email": "billing@acme.com",
"ccEmails": [
"cc@acme.com"
],
"bccEmails": [
"bcc@acme.com"
],
"invoiceSettings": {
"invoicePrefix": "INV-",
"showAdditionalContactName": true,
"showBusinessName": true,
"showName": true,
"showEmail": true,
"showAddress": true,
"showPhoneWork": true
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"classSegments": [
{
"id": "cls_593051",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "cls_593052",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"createdDateTime": "2023-11-07T05:31:56Z",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}Query customers for the authenticated user
curl --request POST \
--url https://sandbox.tight.com/v6/customers/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"orderBy": "NAME",
"direction": "ASC"
},
"filter": {
"name": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [
"ACTIVE"
],
"notIn": [
"ACTIVE"
],
"equal": "ACTIVE",
"notEqual": "ACTIVE",
"greaterThan": "ACTIVE",
"greaterThanEqual": "ACTIVE",
"lessThan": "ACTIVE",
"lessThanEqual": "ACTIVE"
},
"email": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"classSegments": {
"expand": true,
"id": {
"in": [
"<string>"
]
}
}
}
}
'{
"result": "SUCCESS",
"data": [
{
"id": "cus_28868401",
"name": "Acme Corp",
"status": "ACTIVE",
"additionalContactName": "Jane Smith",
"businessName": "Acme Corporation LLC",
"email": "billing@acme.com",
"ccEmails": [
"cc@acme.com"
],
"bccEmails": [
"bcc@acme.com"
],
"invoiceSettings": {
"invoicePrefix": "INV-",
"showAdditionalContactName": true,
"showBusinessName": true,
"showName": true,
"showEmail": true,
"showAddress": true,
"showPhoneWork": true
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"classSegments": [
{
"id": "cls_593051",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "cls_593052",
"label": {
"id": "cll_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"createdDateTime": "2023-11-07T05:31:56Z",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Success
The result of the action performed.
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes